# nvim-config

My tiny neovim config. It's as default and simple as possible, just pure Vim goodness without bloat.

Check `DEPENDS.md` for the dependencies.

## Installation

Just clone this repo into `~/.config/nvim` and launch neovim.

## Lanuage Support

- Dart 🐦
- Go 🐹
- Rust 🦀
- C/C++ 👵
- Lua 🖍️
- JavaScript/TypeScript 🤮

## Screenshots

This config comes preconfigured with the [Moonfly](https://github.com/bluz71/vim-moonfly-colors) colorscheme for extended colors. I recommend the [Kitty Terminal](https://sw.kovidgoyal.net/kitty/) with default macOS terminal colors (from Apple's built-in macOS Terminal app):

| | |
|:-------------------------:|:-------------------------:|
|<img width="1604" src="screens/Screenshot 2024-09-14 at 00.56.41.png">  Dart |<img width="1604" src="screens/Screenshot 2024-09-14 at 00.58.27.png"> Rust |
